### Constructor

# FwupdPlugin Progress new

since: 1.7.0

#### Declaration [src]

    FuProgress*
    fu_progress_new (
      const gchar* id
    )

#### Description

No description available.

Available since: 1.7.0

#### Parameters

`id`

  Type: `const gchar*`

  Progress ID, normally `G_STRLOC`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuProgress`

A new `FuProgress` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.